Subject: [bug#74736] [PATCH v2 0/1] Add Request-For-Comment process.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Jan 2025 23:32:59 +0100

Hello,

(Stripping comments/suggestions I agree with.)

Simon Tournier <[email-masked]> skribis:

>> supporters: ?
>> submitted: 2024-12-12
>
> I think the choice of this date is unclear.  Do you consider that your
> reply or mine implies being Supporter?
>
> Well, since this document bootstrap the process it’s difficult. :-)
> Especially when the first draft had been sent on 2023-10-31.

Yeah, it’s quite arbitrary here, I’m fine with any date.

Obviously it’ll be more important once the process is actually in place.

>> ## Supporters
>>
>> A supporter is a contributor sufficiently familiar with the project’s
>> practices, hence it is recommended, but not mandatory, to be a team
>> member.  Supporters do not have to agree with all the points of the RFC
>> but should generally be satisfied that the proposed additions are a good
>> thing for the community.
>>
>> Supporters help the author(s) by participating in discussions, amending
>> the document as it is being discussed, and acting as timekeepers.
>
> I would add (picked from v5):
>
>         Please make sure that all have the time and space for expressing
>         their comments.  The RFC is about significant changes, thus more
>         opinions is better than less.

You mean that this (soliciting opinions) is something
supporters/sponsors should do, right?  I agree.

>> ```dot <- TODO: make this a separate file
>
> I would prefer to let the dot file here as-is.  Because it’s easier to
> read in full terminal mode.  In addition, yes maybe we could display the
> graph as an image file.

Yeah, I’m split between Dot and ASCII art…

> As said above, I would clarify:
>
>                                  The RFC is *submitted* once one or more
>         people publicly reply “I support” and volunteers to be
>         supporters; the next step is the *discussion period*.

OK.

>> All members of any team of the Guix project can participate in
>> deliberation and are encouraged to do so.
>
> I would restore the past suggestion to mention the file ’teams.scm’; see
> suggestion below (mark **).

Agreed.

I’ll send v7 tomorrow.

Thank you!

Ludo’.